<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:id="@+id/fl_search_channel"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginHorizontal="13.3dp"
            android:layout_marginTop="20dp"
            android:background="@drawable/bg_round_corner_6_7_222222_bbbbbb"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="21.3dp"
                android:contentDescription="@null"
                android:src="@drawable/ic_title_search_black" />

            <EditText
                android:id="@+id/et_search_channel"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center_vertical"
                android:background="@null"
                android:fontFamily="@font/gmarket_sans_medium"
                android:gravity="center_vertical"
                android:hint="채널명을 입력해보세요"
                android:importantForAutofill="no"
                android:inputType="textWebEditText"
                android:paddingHorizontal="54.67dp"
                android:textColor="@color/color_eeeeee"
                android:textColorHint="@color/color_eeeeee"
                android:textCursorDrawable="@drawable/edit_text_cursor"
                android:textSize="13.3sp"
                tools:ignore="LabelFor" />

            <ImageView
                android:id="@+id/iv_x"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="21.3dp"
                android:contentDescription="@null"
                android:src="@drawable/ic_close_white" />
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_explorer"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:clipToPadding="false"
            android:nestedScrollingEnabled="false"
            android:paddingVertical="40dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fl_search_channel" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_search_channel"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:clipToPadding="false"
            android:nestedScrollingEnabled="false"
            android:paddingVertical="40dp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fl_search_channel" />

        <TextView
            android:id="@+id/tv_result_x"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="40dp"
            android:text="검색 결과가 없습니다."
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fl_search_channel" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.core.widget.NestedScrollView>
